aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-deprecation
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/zope-deprecation')
-rw-r--r--dev-python/zope-deprecation/Manifest1
-rw-r--r--dev-python/zope-deprecation/metadata.xml22
-rw-r--r--dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild42
3 files changed, 65 insertions, 0 deletions
diff --git a/dev-python/zope-deprecation/Manifest b/dev-python/zope-deprecation/Manifest
new file mode 100644
index 0000000..601cd9d
--- /dev/null
+++ b/dev-python/zope-deprecation/Manifest
@@ -0,0 +1 @@
+DIST zope-deprecation-4.4.0.gh.tar.gz 22358 BLAKE2B 651adf288c850737d649d69b6f85b54f865b64d49386f5f66439a6a406e961ce9e523c8327f993edb5f37498a24ab8a8cd33d2965eb47622fe0e977009e217d9 SHA512 d8632a3442eee059383014bb3341b30897ad8f9206b71bc586c873c4cccf5f87296edaf18f1e1c93878f480e3b0e8e1c1936ac19ed327f4ab227402ebbc73e0e
diff --git a/dev-python/zope-deprecation/metadata.xml b/dev-python/zope-deprecation/metadata.xml
new file mode 100644
index 0000000..a4507cd
--- /dev/null
+++ b/dev-python/zope-deprecation/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ This package provides a simple function called deprecated(names, reason) to mark deprecated modules, classes, functions, methods and properties.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.deprecation/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.deprecation/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopedeprecation.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.deprecation</remote-id>
+ <remote-id type="pypi">zope.deprecation</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild b/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild
new file mode 100644
index 0000000..14523a9
--- /dev/null
+++ b/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="simple function to mark deprecated modules"
+HOMEPAGE="https://github.com/zopefoundation/zope.deprecation"
+SRC_URI="https://github.com/zopefoundation/zope.deprecation/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ test? ( $(python_gen_cond_dep 'dev-python/zope-testrunner[${PYTHON_USEDEP}]' python3_{9..11}) )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/deprecation" || die
+ distutils-r1_src_test
+}